# Custom MIT-Based License with Additional Terms

This software is licensed under the MIT License with Additional Terms.
This is NOT the standard MIT License.

## MIT License

Copyright (c) 2025 Jeremy Karst

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Additional Terms

In addition to the terms and conditions of the MIT License above, the following terms apply:

1. Project Identity Protection
   Any redistribution, fork, or modified version of this software must not use the name "Open Signature Generator", either alone or as part of another name, except to indicate that the work is derived from or based on this software. This restriction includes, but is not limited to, public hosting of modified versions and derivative works.

2. Scope of Additional Terms
   These Additional Terms are intended to supplement, not replace, the permissions and restrictions specified in the MIT License above. In the event of any conflict between these Additional Terms and the MIT License, these Additional Terms shall take precedence.

3. Severability
   If any portion of these Additional Terms is found to be invalid or unenforceable, the remaining portions shall remain in effect.