# Open Signature Generator

Open Signature Generator is a web based tool for generating and verifying handwritten-style signatures for documents. Signatures are saved as images with transparency and can be easily inserted into documents which need to be signed using LibreOffice, or any other document editing software.

![Example Signature Image](https://osg.jkdev.org/example-signature-inverted.webp)

## Features

- Create handwritten-style signatures using a variety of fonts.
- Download signatures as transparent PNG files
- Verify signatures using a QR code or URL
- Fast, Easy, and Privacy-Respecting
- Works on desktop and mobile devices, though mobile devices will have more limited document editing software.

## Getting Started

Visit osg.jkdev.org to use Open Signature Generator directly in your browser.

### How To Use

Visit osg.jkdev.org/howto to learn how to use Open Signature Generator.

### Installation

This project is designed to be run in a docker container.
Refer to the compose.yaml file, and the Docker documentation for more information.

### License

This software is licensed under the MIT License with Additional Terms.
See LICENSE.md for more information.